API referenceAnalytics

GET /accounts/follower-stats

Follower history per account from daily snapshots (the worker reads each account once per UTC day) with current count and growth over the window

GET
/accounts/follower-stats

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountIds?string

Comma-separated account ids

profileId?string

Only this profile

fromDate?string

First day, YYYY-MM-DD (default: 30 days ago)

toDate?string

Last day, YYYY-MM-DD (default: today)

granularity?string

Aggregation (default daily)

Value in"daily""weekly""monthly"
limit?integer

Maximum items (default 25, max 100)

Range1 <= value <= 100
Default25
cursor?string

pagination.nextCursor

Response Body

{accounts, stats, dateRange, granularity, pagination?}

application/json
  1. response
accounts?array<>
stats?

{accountId: [{date, followers}]}

dateRange?
granularity?string
pagination?
Example Request
curl -X GET 'https://example.com/api/v1/accounts/follower-stats'
Example Response
{  "accounts": [    {      "id": "string",      "platform": "string",      "accountName": "string",      "profileId": "string",      "currentFollowers": 0,      "growth": 0,      "growthPercentage": 0,      "dataPoints": 0    }  ],  "stats": {},  "dateRange": {    "from": "string",    "to": "string"  },  "granularity": "string",  "pagination": {    "nextCursor": "string",    "hasMore": true  }}